Update information on which gcc versions are supported on Windows
authorSteve Hay <steve.m.hay@googlemail.com>
Thu, 24 May 2018 12:37:04 +0000 (13:37 +0100)
committerSteve Hay <steve.m.hay@googlemail.com>
Thu, 24 May 2018 12:37:04 +0000 (13:37 +0100)
See [perl #128631] (MinGW with runtimes >= 3.21 currently don't work) and
[perl #132955] (MinGW 3.4.5 and 4.7.2+ and MinGW64 x64 6.3.0+ currently
don't work in C++ mode).

README.win32
win32/GNUmakefile
win32/makefile.mk

index 1ebd6db..9386bed 100644 (file)
@@ -41,7 +41,7 @@ following compilers on the Intel x86 architecture:
 
       Microsoft Visual C++    version 6.0 or later
       Intel C++ Compiler      (experimental)
-      Gcc by mingw.org        gcc version 3.4.5 or later
+      Gcc by mingw.org        gcc version 3.4.5 or later with runtime < 3.21
       Gcc by mingw-w64.org    gcc version 4.4.3 or later
 
 Note that the last two of these are actually competing projects both
@@ -312,15 +312,22 @@ The nmake that comes with the Platform SDK will suffice for building
 Perl.  Make sure you are building within one of the "Build Environment"
 shells available after you install the Platform SDK from the Start Menu.
 
-=item MinGW release 3 with gcc
+=item GCC
 
-Perl can be compiled with gcc from MinGW release 3 and later (using gcc 3.4.5
-and later).  It can be downloaded here:
+Perl can be compiled with gcc from MinGW (version 3.4.5 or later) or from
+MinGW64 (version 4.4.3 or later).  It can be downloaded here:
 
 L<http://www.mingw.org/>
+L<http://www.mingw-w64.org/>
 
 You also need dmake.  See L</"Make"> above on how to get it.
 
+Note that the MinGW build currently requires a MinGW runtime version earlier
+than 3.21 (check __MINGW32_MAJOR_VERSION and __MINGW32_MINOR_VERSION).
+
+Note also that the C++ mode build currently fails with MinGW 3.4.5 and 4.7.2
+or later, and with MinGW64 64-bit 6.3.0 or later.
+
 =item Intel C++ Compiler
 
 Experimental support for using Intel C++ Compiler has been added. Edit
@@ -951,6 +958,6 @@ Win9x support was added in 5.6 (Benjamin Stuhl).
 
 Support for 64-bit Windows added in 5.8 (ActiveState Corp).
 
-Last updated: 16 June 2017
+Last updated: 23 May 2018
 
 =cut
index 69a72ad..495f382 100644 (file)
@@ -2,7 +2,8 @@
 # Makefile to build perl on Windows using GMAKE.
 # Supported compilers:
 #      Microsoft Visual C++ 6.0 or later
-#      MinGW with gcc-3.4.5 or later
+#      MinGW with gcc-3.4.5 or later with runtime < 3.21
+#      MinGW64 with gcc-4.4.3 or later
 #      Windows SDK 64-bit compiler and tools
 #
 # This is set up to build a perl.exe that runs off a shared library
index 0b129c3..b1dd13f 100644 (file)
@@ -2,7 +2,8 @@
 # Makefile to build perl on Windows using DMAKE.
 # Supported compilers:
 #      Microsoft Visual C++ 6.0 or later
-#      MinGW with gcc-3.4.5 or later
+#      MinGW with gcc-3.4.5 or later with runtime < 3.21
+#      MinGW64 with gcc-4.4.3 or later
 #      Windows SDK 64-bit compiler and tools
 #
 # This is set up to build a perl.exe that runs off a shared library